package p.studio.lsp.messages;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
public class LspServerConfiguration {
    public static final String DEFAULT_HOST = "127.0.0.1";
    public static final int DEFAULT_PORT = 7777;

    @Builder.Default
    private final LspServerEndpoint endpoint = new LspServerEndpoint(DEFAULT_HOST, DEFAULT_PORT);


    public static LspServerConfiguration defaults() {
        return LspServerConfiguration.builder().build();
    }
}
